Bug 10703 - add/update database documentation
Summary: add/update database documentation
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nicole C. Engard
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-09 00:54 UTC by Nicole C. Engard
Modified: 2015-12-03 22:03 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 10703: Add db documentation for biblioimages table (1.61 KB, patch)
2013-08-09 01:02 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10703: Document quotes table (1.35 KB, patch)
2013-08-09 01:03 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10703: Document borrower_files table (1.91 KB, patch)
2013-08-09 01:10 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10703: Add db documentation for biblioimages table (1.69 KB, patch)
2013-08-09 21:42 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10703: Document quotes table (1.42 KB, patch)
2013-08-09 21:42 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10703: Document borrower_files table (2.03 KB, patch)
2013-08-09 21:42 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 10703: Add db documentation for biblioimages table (1.73 KB, patch)
2013-08-16 14:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10703: Document quotes table (1.47 KB, patch)
2013-08-16 14:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10703: Document borrower_files table (2.08 KB, patch)
2013-08-16 14:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10703: Update course reserves DB documentation (5.43 KB, patch)
2015-03-05 13:28 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10703: Update stats table documentation (2.14 KB, patch)
2015-03-05 13:56 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10703: Update course reserves DB documentation (5.48 KB, patch)
2015-03-05 14:06 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 10703: Update stats table documentation (2.20 KB, patch)
2015-03-05 14:07 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 10703: Update Patron DB Documentation (3.01 KB, patch)
2015-03-05 14:18 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10703: Update course reserves DB documentation (5.54 KB, patch)
2015-03-06 08:55 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 10703: Update stats table documentation (2.26 KB, patch)
2015-03-06 08:55 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 10703: Update Patron DB Documentation (3.08 KB, patch)
2015-03-06 08:55 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 10703: Update course reserves DB documentation (5.60 KB, patch)
2015-03-06 09:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10703: Update stats table documentation (2.32 KB, patch)
2015-03-06 09:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10703: Update Patron DB Documentation (3.13 KB, patch)
2015-03-06 09:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10703: Add more serial table DB documentation (6.59 KB, patch)
2015-03-06 10:03 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 10703: Update Patron DB Documentation (3.19 KB, patch)
2015-03-06 10:32 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 10703: Add more serial table DB documentation (6.65 KB, patch)
2015-03-06 10:33 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
[PASSED QA] Bug 10703: Update course reserves DB documentation (5.67 KB, patch)
2015-03-15 23:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10703: Update stats table documentation (2.38 KB, patch)
2015-03-15 23:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10703: Update Patron DB Documentation (3.26 KB, patch)
2015-03-15 23:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10703: Add more serial table DB documentation (6.64 KB, patch)
2015-03-15 23:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-08-09 00:54:35 UTC
a continuation of bug 6716
Comment 1 Nicole C. Engard 2013-08-09 01:02:42 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2013-08-09 01:03:12 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2013-08-09 01:10:29 UTC Comment hidden (obsolete)
Comment 4 Bernardo Gonzalez Kriegel 2013-08-09 21:42:05 UTC Comment hidden (obsolete)
Comment 5 Bernardo Gonzalez Kriegel 2013-08-09 21:42:14 UTC Comment hidden (obsolete)
Comment 6 Bernardo Gonzalez Kriegel 2013-08-09 21:42:24 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2013-08-16 14:39:17 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2013-08-16 14:39:21 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2013-08-16 14:39:26 UTC Comment hidden (obsolete)
Comment 10 Galen Charlton 2013-08-16 14:42:42 UTC
Pushed the current batch to master.  Thanks, Nicole!
Comment 11 Tomás Cohen Arazi 2013-09-11 17:18:50 UTC
The latest patches have been pushed to 3.12.x, will be in 3.12.5.

Thanks Nicole!
Comment 12 Bernardo Gonzalez Kriegel 2013-09-14 22:36:44 UTC
Latest patches pushed to 3.10.x, will be in 3.10.11
Comment 13 Chris Hall 2013-10-20 07:16:22 UTC
Pushed to 3.8.x, will be in 3.8.19
Comment 14 Nicole C. Engard 2015-03-05 13:28:14 UTC Comment hidden (obsolete)
Comment 15 Nicole C. Engard 2015-03-05 13:56:50 UTC Comment hidden (obsolete)
Comment 16 Dobrica Pavlinusic 2015-03-05 14:06:04 UTC Comment hidden (obsolete)
Comment 17 Dobrica Pavlinusic 2015-03-05 14:07:14 UTC Comment hidden (obsolete)
Comment 18 Nicole C. Engard 2015-03-05 14:18:56 UTC Comment hidden (obsolete)
Comment 19 Nicole C. Engard 2015-03-05 14:59:07 UTC
Latest patch needs sign off.
Comment 20 Brendan Gallagher 2015-03-06 08:55:28 UTC Comment hidden (obsolete)
Comment 21 Brendan Gallagher 2015-03-06 08:55:39 UTC Comment hidden (obsolete)
Comment 22 Brendan Gallagher 2015-03-06 08:55:47 UTC Comment hidden (obsolete)
Comment 23 Jonathan Druart 2015-03-06 09:39:52 UTC Comment hidden (obsolete)
Comment 24 Jonathan Druart 2015-03-06 09:40:37 UTC Comment hidden (obsolete)
Comment 25 Jonathan Druart 2015-03-06 09:43:39 UTC Comment hidden (obsolete)
Comment 26 Nicole C. Engard 2015-03-06 10:03:26 UTC Comment hidden (obsolete)
Comment 27 Dobrica Pavlinusic 2015-03-06 10:32:59 UTC Comment hidden (obsolete)
Comment 28 Dobrica Pavlinusic 2015-03-06 10:33:08 UTC Comment hidden (obsolete)
Comment 29 Katrin Fischer 2015-03-15 23:42:57 UTC
Created attachment 36910 [details] [review]
[PASSED QA] Bug 10703: Update course reserves DB documentation

To test review database documentation to see that course tables are
all documented.

Signed-off-by: Dobrica Pavlinusic <dpavlin@rot13.org>

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 30 Katrin Fischer 2015-03-15 23:43:01 UTC
Created attachment 36911 [details] [review]
[PASSED QA] Bug 10703: Update stats table documentation

This patch updates the DB documentation for the statistics
table.

To test review the file and cofirm that documentation is there

Signed-off-by: Dobrica Pavlinusic <dpavlin@rot13.org>

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 31 Katrin Fischer 2015-03-15 23:43:05 UTC
Created attachment 36912 [details] [review]
[PASSED QA] Bug 10703: Update Patron DB Documentation

Update patron categories and patron restrictions DB docs.

To test:

* Review database documentation for categories
* Review database documentation for patron_debarments

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Signed-off-by: Dobrica Pavlinusic <dpavlin@rot13.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 32 Katrin Fischer 2015-03-15 23:43:08 UTC
Created attachment 36913 [details] [review]
[PASSED QA] Bug 10703: Add more serial table DB documentation

This patch adds a bit more documentation to the serial related tables
in Koha.

To test, apply the patch and review the kohastructure for comments

Signed-off-by: Dobrica Pavlinusic <dpavlin@rot13.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 33 Tomás Cohen Arazi 2015-03-19 17:12:46 UTC
Patches pushed to master.

Good job Nicole!
Comment 34 Chris Cormack 2015-03-21 22:13:28 UTC
Pushed to 3.18.x will be in 3.18.5